%define momorel 23
%define tarname automake-1.5
%define am14_ver 1.4-p6
%define am15_ver 1.5
%define am16_ver 1.6.3
%define am17_ver 1.7.9
%define am18_ver 1.8.4

Summary: A GNU tool for automatically creating Makefiles.
Name: automake
Version: 1.5
Release: %{momorel}m
License: GPL
Group: Development/Tools
Source0: ftp://ftp.gnu.org/pub/gnu/automake/automake-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/automake/automake-%{am14_ver}.tar.gz
Source2: ftp://ftp.gnu.org/pub/gnu/automake/automake-%{am16_ver}.tar.bz2
Source3: ftp://ftp.gnu.org/pub/gnu/automake/automake-%{am17_ver}.tar.bz2
Source4: ftp://ftp.gnu.org/pub/gnu/automake/automake-%{am18_ver}.tar.bz2
Patch100: automake-1.4-libtoolize.patch
URL: http://sources.redhat.com/automake/
Requires: perl
Prereq: info
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
NoSource: 1
NoSource: 2
NoSource: 3
NoSource: 4
BuildPreReq: perl, autoconf >= 2.54

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its capabilities of automatically generating GNU
standard Makefiles. if you install Automake, you will also need to
install GNU's Autoconf package.


%prep

%setup -q -n automake-%{version} -a 1 -a 2 -a 3 -a 4
pushd automake-%{am14_ver}
patch -p0 < %{PATCH100}
popd

%build
%define __libtoolize /bin/true
pushd automake-%{am14_ver}
%configure --program-suffix=%{am14_ver}
make
popd

pushd automake-%{am16_ver}
%configure
make
popd

pushd automake-%{am17_ver}
%configure
make
popd

pushd automake-%{am18_ver}
./configure --prefix=%{_prefix}
make
popd

%configure
make

%install
rm -rf %{buildroot}

pushd automake-%{am14_ver}
 %makeinstall
 cd %{buildroot}%{_bindir}
  mv automake%{am14_ver}-1.4 automake-1.4
  mv aclocal%{am14_ver}-1.4  aclocal-1.4
  ln -sf aclocal-1.4 aclocal-old
  ln -sf automake-1.4 automake-old
 rm -rf %{buildroot}%{_infodir}/*
popd

pushd automake-%{am16_ver}
 %makeinstall
 rm -rf %{buildroot}%{_infodir}/*
popd

pushd automake-%{am17_ver}
 %makeinstall
 rm -rf %{buildroot}%{_infodir}/*
popd

pushd automake-%{am18_ver}
 %makeinstall
 rm -rf %{buildroot}%{_infodir}/*
popd

%makeinstall

# remove 
rm -f %{buildroot}/usr/bin/*-p6
rm -f %{buildroot}/usr/share/info/dir*

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/automake.info.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/automake.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/aclocal
%{_bindir}/automake
%{_bindir}/aclocal-old
%{_bindir}/automake-old
%{_bindir}/aclocal-1.4
%{_bindir}/automake-1.4
%{_bindir}/aclocal-1.6
%{_bindir}/automake-1.6
%{_bindir}/aclocal-1.7
%{_bindir}/automake-1.7
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.8
%{_infodir}/*.info*
%{_datadir}/automake
%{_datadir}/automake-1.4
%{_datadir}/automake-1.6
%{_datadir}/automake-1.7
%{_datadir}/automake-1.8
%{_datadir}/aclocal
%{_datadir}/aclocal-1.4
%{_datadir}/aclocal-1.6
%{_datadir}/aclocal-1.7
%{_datadir}/aclocal-1.8

%changelog
* Sun May  9 2004 Toru Hoshina <t@momonga-linux.org>
- (1.5-23m)
- noarch.

* Sun May  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-22m)
- add automake-1.8 (1.8.4)
- cancel noarch temporarily since automake-1.8 can't be configured with
  'noarch-momonga-linux'

* Fri Dec 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-21m)
- automake-1.7.9

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.5-20m)
- automake-1.7.7

* Tue Jun 10 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (1.5-19m)
- automake 1.7.3

* Mon Feb 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5-18m)
- automake 1.7.2

* Tue Jan  7 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5-17m)
- buildprereq autoconf >= 2.54

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.5-16m)
- add %{_datadir}/aclocal-1.4 to %files

* Sun Nov 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.5-15m)
- update automake-1.4 to 1.4-p6
- update automake-1.6 to 1.6.3
- add    automake-1.7(1.7.1)
- remove automake-new

* Mon Nov 18 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5-14m)
- add autohoge-1.4 symlink

* Mon Jul 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-13m)
- define '__libtoolize' as '/bin/true' because libtool requires automake!

* Wed May 22 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (1.5-12k) [kakure 1.6.1]
- added 1.6.1 (as an option)
- /usr/bin/* -> %{_bindir}/explicit_name
- why not simply update: because it seems to break aclocal-old
 compatibility... any idea?

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.5-10k)
- /sbin/install-info -> info in PreReq.

* Fri Aug 31 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5-5k)
- merging automake 1.5 and 1.4-p5

* Thu Aug 30 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5-3k)
- up to 1.5
- remove libtool.patch (no needed)

* Fri Aug 24 2001 Toru Hoshina <toru@df-usa.com>
- (1.4p5-3k)
- merge to Jirai.

* Mon Aug 20 2001 Toru Hoshina <toru@df-usa.com>
- (1.4p5-2k)

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sun Jul  2 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.6.0 

* Fri Apr 21 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( BuildRoot, Summary, Distribution, description )

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.4-6).

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #8870

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- revert to pristine automake-1.4.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
